
package de.ivu.elect.presentation.geodata.menu;

import javax.inject.Inject;

import de.ivu.elect.business.geodata.entity.GeodataOrtMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtImportDescription;

public class GeodataOrtImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GeodataOrtMeta geodataOrtMeta;

  @Inject
  private transient GeodataOrtImportDescription importDescription;

  public GeodataOrtImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return geodataOrtMeta;
  }
}
